package cn.net.cpzslibs.prot.handset.bean.res;

import java.util.List;

public class Prot20058ResBean {
	private int total;
	private int num_per;
	private int index;
	
	private List<NongYaoPiCiBean> list;
	
	private int errcode;
  	private String errmsg;
  	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码
  	
	public int getTotal() {
		return total;
	}
	public void setTotal(int total) {
		this.total = total;
	}
	public int getNum_per() {
		return num_per;
	}
	public void setNum_per(int num_per) {
		this.num_per = num_per;
	}
	public int getIndex() {
		return index;
	}
	public void setIndex(int index) {
		this.index = index;
	}
	public List<NongYaoPiCiBean> getList() {
		return list;
	}
	public void setList(List<NongYaoPiCiBean> list) {
		this.list = list;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	
	@Override
	public String toString() {
		return "Prot20058ResBean [total=" + total + ", num_per=" + num_per
				+ ", index=" + index + ", list=" + list + ", errcode="
				+ errcode + ", errmsg=" + errmsg + ", result=" + result + "]";
	}
  	
  	
}
